function ReimuLootPostInit( inst )
  if GLOBAL.GetPlayer().prefab == "reimu" then
    inst.components.lootdropper:AddChanceLoot("frozen_heart", 0.4)
	 end
end

function BossLootPostInit( inst )
  if GLOBAL.GetPlayer().prefab == "reimu" then
    inst.components.lootdropper:AddChanceLoot("frozen_heart", 1.0)

  end
end

                AddPrefabPostInit("bat", ReimuLootPostInit)
                AddPrefabPostInit("bearger", BossLootPostInit)	
                AddPrefabPostInit("birchnutdrake", ReimuLootPostInit)					
                AddPrefabPostInit("beefalo", ReimuLootPostInit)
                AddPrefabPostInit("bunnyman", ReimuLootPostInit)
                AddPrefabPostInit("buzzard", ReimuLootPostInit)	
                AddPrefabPostInit("catcoon", ReimuLootPostInit)					
                AddPrefabPostInit("deerclops", BossLootPostInit)
                AddPrefabPostInit("dragonlfy", BossLootPostInit)				
                AddPrefabPostInit("frog", ReimuLootPostInit)			
                AddPrefabPostInit("glommer", ReimuLootPostInit)					
				AddPrefabPostInit("hound", ReimuLootPostInit)
                AddPrefabPostInit("icehound", ReimuLootPostInit)				
                AddPrefabPostInit("koalefant_summer", ReimuLootPostInit)
                AddPrefabPostInit("koalefant_winter", ReimuLootPostInit)
				AddPrefabPostInit("krampus", ReimuLootPostInit)
                AddPrefabPostInit("leif", BossLootPostInit)
                AddPrefabPostInit("merm", ReimuLootPostInit)
                AddPrefabPostInit("minotaur", BossLootPostInit)		
                AddPrefabPostInit("moose", BossLootPostInit)		
			    AddPrefabPostInit("mossling", ReimuLootPostInit)			
			    AddPrefabPostInit("lightninggoat", ReimuLootPostInit)				
			    AddPrefabPostInit("little_walrus", ReimuLootPostInit)
                AddPrefabPostInit("mole", ReimuLootPostInit)				
                AddPrefabPostInit("monkey", ReimuLootPostInit)
                AddPrefabPostInit("penguin", ReimuLootPostInit)
				AddPrefabPostInit("perd", ReimuLootPostInit)
                AddPrefabPostInit("pigman", ReimuLootPostInit)
                AddPrefabPostInit("pigguard", ReimuLootPostInit)				
				AddPrefabPostInit("rabbit", ReimuLootPostInit)
				AddPrefabPostInit("robin", ReimuLootPostInit)
				AddPrefabPostInit("slurper", ReimuLootPostInit)
                AddPrefabPostInit("slurtle", ReimuLootPostInit)
                AddPrefabPostInit("snurtle", ReimuLootPostInit)
                AddPrefabPostInit("spider", ReimuLootPostInit)				
                AddPrefabPostInit("spider_dropper", ReimuLootPostInit)
                AddPrefabPostInit("spider_hider", ReimuLootPostInit)
                AddPrefabPostInit("spider_spitter", ReimuLootPostInit)
                AddPrefabPostInit("spiderqueen", BossLootPostInit)	
				AddPrefabPostInit("teenbird", ReimuLootPostInit)				
                AddPrefabPostInit("walrus", ReimuLootPostInit)	
                AddPrefabPostInit("warg", ReimuLootPostInit)					
                AddPrefabPostInit("werepig", ReimuLootPostInit)				
				AddPrefabPostInit("worm", ReimuLootPostInit)		